/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIESREGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2011, 2016 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/*******************************************************************************
* File Name    : UART0.c
* Device(s)    : R5F100LE
* Tool-Chain   : CCRL
* Description  : Oobt@̃T|[g֐ł
* Creation Date: 2016/08/11
*******************************************************************************/

/*******************************************************************************
Includes
*******************************************************************************/
#include "r_cg_macrodriver.h"
#include "UART1.h"
#include "r_cg_userdefine.h"

#define init_bf u_uart1_init_bf
#define chk_status u_uart1_chk_status
#define get_data u_uart1_get_data
#define get_blk u_uart1_get_blk
#define g_rx_buff g_uart1_rx_buff
#define g_rx_rdpt g_uart1_rx_rdpt
#define g_rx_dtno g_uart1_rx_dtno
#define g_rx_status g_uart1_rx_status
#define uartx_callback_receivedata u_uart1_callback_receivedata
#define RX_BUFF_SIZE UART1_RX_BUFF_SIZE
#define RX_DTPT_MASK (UART1_RX_BUFF_SIZE - 1)

/* Don't use '(uint8_t *)(maskptr) != (uint8_t *)NULL' because it causes compiler warnings in case of ICCRL78. */
#define SRMKx_SET(maskptr)   do{ if (0U != (uint8_t *)(maskptr) - (uint8_t *)NULL) { *(uint8_t *)(maskptr) = SRMK3; } SRMK3 = 1U; }while (0)
#define SRMKx_CLEAR(maskptr) do{ if (0U != (uint8_t *)(maskptr) - (uint8_t *)NULL) { *(uint8_t *)(maskptr) = SRMK3; } SRMK3 = 0U; }while (0)
/* Don't use 'SRMK3 = mask' because it generates non bit operation code. */
#define SRMKx_RESTORE(mask)  do{ if (0U == mask) { SRMK3 = 0U; }else{ SRMK3 = 1U; } }while (0)

#if 0    /* Non-OS */
#define ENTER_CRITICAL() do{ }while (0)
#define EXIT_CRITICAL()  do{ }while (0)
#elif 1    /* FreeRTOS */
#define ENTER_CRITICAL() taskENTER_CRITICAL()
#define EXIT_CRITICAL()  taskEXIT_CRITICAL()
#elif 0    /* SEGGER embOS */
/* Currently the specified RTOS is not supported. Please add the code here. */
#elif 0    /* Micrium MicroC/OS */
/* Currently the specified RTOS is not supported. Please add the code here. */
#elif 0    /* Renesas RI78V4 */
/* Currently the specified RTOS is not supported. Please add the code here. */
#endif

/*******************************************************************************
Pragma directive
*******************************************************************************/

/*******************************************************************************
Global variables and functions
*******************************************************************************/
volatile uint8_t g_rx_buff[RX_BUFF_SIZE];       /* MpOobt@     */
volatile uint8_t g_rx_rdpt;                     /* f[^̓ǂݏo|C^ */
volatile uint8_t g_rx_dtno;                     /* i[Ăf[^   */
volatile uint8_t g_rx_status;                   /* MXe[^XtO     
        bit7 : I[ot[EtO                                         */                                                                                                                          
/*******************************************************************************
* Function Name: init_bf
* Description  : Oobt@̃|C^
* Arguments    : None
* Return Value : None
*******************************************************************************/
void init_bf(void)
{

    ENTER_CRITICAL();                           /* ^XN؂ւ֎~       */
    SRMKx_SET(NULL);                            /* INTSRxƂ̔r       */
    g_rx_rdpt = 0x00;                           /* ǂݏo|C^   */
    g_rx_dtno = 0x00;                           /* f[^NA         */
    g_rx_status = 0x00;                         /* Xe[^XNA       */
    SRMKx_CLEAR(NULL);                          /* r䊮             */
    EXIT_CRITICAL();                            /* ^XN؂ւ       */

}

/*******************************************************************************
* Function Name: chk_status
* Description  : Oobt@̏ԊmF
* Arguments    : None
* Return Value : Mf[^+Xe[^X
*               bit7 : I[ot[EtO
*               bit6,5 : 0,0
*               bit4-0 : f[^
*******************************************************************************/
uint8_t chk_status(void)
{
    uint8_t work;
    uint8_t mask;                               /* INTSRx̃}XNԂ̕ۑ */

    ENTER_CRITICAL();                           /* ^XN؂ւ֎~       */
    SRMKx_SET(&mask);                           /* INTSRxƂ̔r       */
    work = g_rx_status;                         /* Xe[^Xǂݏo       */
    g_rx_status = 0x00;                         /* Xe[^XNA       */
    work |= g_rx_dtno;                          /* f[^ǂݏo         */
    SRMKx_RESTORE(mask);                        /* r䊮             */
    EXIT_CRITICAL();                            /* ^XN؂ւ       */
    return ( work );

}

/*******************************************************************************
* Function Name: get_data
* Description  : Oobt@1f[^ǂݏo
* Arguments    : None
* Return Value : f[^
*******************************************************************************/
uint8_t get_data(void)
{
    uint8_t work;
    uint8_t mask;                               /* INTSRx̃}XNԂ̕ۑ */

    if ( 0 == g_rx_dtno )
    {
        work = 0x00;                            /* f[^Ȃ΁C0x00   */
    }
    else
    {
        work = g_rx_buff[g_rx_rdpt];            /* f[^̓ǂݏo         */

        ENTER_CRITICAL();                       /* ^XN؂ւ֎~       */
        SRMKx_SET(&mask);                       /* INTSRxƂ̔r       */
        g_rx_dtno--;
        g_rx_rdpt++;                            /* |C^XV             */
        g_rx_rdpt &= RX_DTPT_MASK;
        SRMKx_RESTORE(mask);                    /* r䊮             */
        EXIT_CRITICAL();                        /* ^XN؂ւ       */
    }

    return ( work );

}

/*******************************************************************************
* Function Name: get_blk
* Description  : Oobt@w肳ꂽf[^ǂݏoi]j
* Arguments    : i[|C^Cf[^
* Return Value : cf[^
*******************************************************************************/
uint8_t get_blk(uint8_t * const buff, uint8_t number)
{

    uint8_t work;
    uint8_t mask;                               /* INTSRx̃}XNԂ̕ۑ */
    uint8_t dtno;                               /* Oobt@f[^ */
    uint8_t cnt;                                /* ]pJE^           */
    uint8_t * gp_buff;                          /* ]p|C^           */

    work = number;                              /* vf[^Zbg     */
    dtno = g_rx_dtno;                           /* ϐvolatileȂ̂ŕێ */

    if ( ( 0 != number ) && ( 0 != dtno ) )
    {                               /* ]f[^ꍇ                 */

        gp_buff = buff;                         /* ]|C^ݒ     */

/* ---------------------------------------------------------------------------

    ]f[^Zo

----------------------------------------------------------------------------*/

        if ( number < dtno )
        {                           /* vf[^ʈȉ̏ꍇ           */
            cnt = number;                       /* ]f[^Zbg     */
            work = 0;                           /* cf[^0ɂ    */
        }
        else
        {                           /* vf[^ʈȏ̏ꍇ           */
            cnt = dtno;                    /* ]̓obt@̑S */
            work = number - dtno;          /* cf[^Zo       */
        }

/* ---------------------------------------------------------------------------

    f[^]

----------------------------------------------------------------------------*/

        for (  ; cnt > 0 ; cnt-- )
        {
            *gp_buff = g_rx_buff[g_rx_rdpt];    /* Oobt@]   */
            ENTER_CRITICAL();                   /* ^XN؂ւ֎~       */
            SRMKx_SET(&mask);                   /* INTSRxƂ̔r       */
            g_rx_rdpt++;                        /* ǂݏo|C^XV   */
            g_rx_rdpt &= RX_DTPT_MASK;
            g_rx_dtno--;                        /* f[^|1            */
            SRMKx_RESTORE(mask);                /* r䊮             */
            EXIT_CRITICAL();                    /* ^XN؂ւ       */
            gp_buff++;                          /* ]|C^XV       */

        }
    

    }

    return( work );

}

/*******************************************************************************
* Function Name: uartx_callback_receivedata
* Description  : This function is a callback function when UARTx receives a data.
* Arguments    : rx_data -
*                    receive data
* Return Value : None
*******************************************************************************/
void uartx_callback_receivedata(uint16_t rx_data)
{
    /* MpOobt@ */

    uint8_t  setptr;

    if ( g_rx_dtno < RX_BUFF_SIZE )
    {                           /* obt@ɋ󂫂                       */
        setptr = ((g_rx_rdpt + g_rx_dtno) & RX_DTPT_MASK);  /* ݃|C^ */
        g_rx_buff[setptr] = rx_data;    /* Mf[^obt@Ɋi[       */
        g_rx_dtno++;
    }
    else
    {                           /* obt@t̏                   */
        g_rx_status = 0x80;             /* I[ot[EtOZbg     */
    }

}
